# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2017 Grupo SACSA - http://www.gruposacsa.com.mx
#    All Rights Reserved.
############################################################################
#    Coded by:
#       Jorge Alfonso Medina Uriarte (desarrollo.sacsa@gruposacsa.com.mx)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from openerp import fields, models, api

class res_partner(models.Model):
    _name = 'res.partner.legal'
    
    name = fields.Char('Representative Name',
        size=255,
    )
    public_deed_ac = fields.Char('Public Deed',
        size=255,
    )
    volume_ac = fields.Char('Volume',
        size=255,
    )
    date_ac = fields.Date('Date',
    )
    notary_name_ac = fields.Char('Notary Name',
        size=255,
    )
    notary_number_ac = fields.Char('Notary Number',
        size=255,
    )
    public_deed_al = fields.Char('Public Deed',
        size=255,
    )
    volume_al = fields.Char('Volume',
        size=255,
    )
    date_al = fields.Date('Date',
    )
    notary_name_al = fields.Char('Notary Name',
        size=255,
    )
    notary_number_al = fields.Char('Notary Number',
        size=255,
    )
    inscription_ac = fields.Char('Inscription',
        size=255,
    )
    book_ac = fields.Char('Book',
        size=255,
    )
    date_inscription_ac = fields.Date('Inscription Date',
    )
    merchant_folio_ac = fields.Char('Merchant Electronic Folio',
        size=255,
    )
    city_state_ac = fields.Char('City State',
        size=255,
    )
